Subject: [BUG][iproute2][5.0] ip route show table default: "Error: ipv4: FIB table does not exist."

From: <[email-masked]>
Date: Sat, 23 Mar 2019 14:00:09 +0100 (CET)

After upgrading iproute2 from 4.20 to 5.0 the following error occurs:

$ ip route show table default
Error: ipv4: FIB table does not exist.
Dump terminated

The command works for all tables other than 'default' one. It seems related to this commit[1]

I also saw "Error: ipv4: MR table does not exist." message in logs related to this commit[2] but don't know exact command to reproduce it. I've seen some fixups[3] for mentioned commits and wonder it they weren't complete.

I reproduced it on Linux 4.20.17 and 5.0.3.

[1] https://github.com/torvalds/linux/commit/18a8021a7be3207686851208f91a2f105b2d4703#diff-04a14e4f51765994f87e7e5e7681d0e1R861 <https://github.com/torvalds/linux/commit/18a8021a7be3207686851208f91a2f105b2d4703#diff-04a14e4f51765994f87e7e5e7681d0e1R861>

[2] https://github.com/torvalds/linux/commit/cb167893f41e21e6bd283d78e53489289dc0592d#diff-9900db808ce5e5dd24a7341cd8ed1609R2545 <https://github.com/torvalds/linux/commit/cb167893f41e21e6bd283d78e53489289dc0592d#diff-9900db808ce5e5dd24a7341cd8ed1609R2545>

[3] https://github.com/torvalds/linux/commit/73155879b3c1ac3ace35208a54a3a160ec520bef